## tomlplusplus 3.2.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(
    tomlplusplus
    VERSION 3.2.0
    DESCRIPTION "Header-only TOML config file parser and serializer for C++17"
    HOMEPAGE_URL "https://marzer.github.io/tomlplusplus/"
    LANGUAGES CXX
)

include(cmake/project-is-top-level.cmake)
include(cmake/variables.cmake)

# ---- Declare library ----

add_library(tomlplusplus_tomlplusplus INTERFACE)
add_library(tomlplusplus::tomlplusplus ALIAS tomlplusplus_tomlplusplus)

set_property(
    TARGET tomlplusplus_tomlplusplus PROPERTY
    EXPORT_NAME tomlplusplus
)

target_include_directories(
  tomlplusplus_tomlplusplus
  ${tomlplusplus_warning_guard} # unquoted for list expansion
  INTERFACE
  "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
)

target_compile_features(tomlplusplus_tomlplusplus INTERFACE cxx_std_17)

# ---- Install rules and examples ----
if(PROJECT_IS_TOP_LEVEL)
  include(cmake/install-rules.cmake)
  option(BUILD_EXAMPLES "Build examples tree." OFF)
  if(BUILD_EXAMPLES)
    add_subdirectory(examples)
  endif()
endif()

=== tools/requirements.txt ===
misk>=0.6.1
poxy>=0.6.0
pyyaml
python-dateutil

=== debian/changelog ===
tomlplusplus (3.2.0+ds-3) unstable; urgency=medium

  * d/patches: only pass -march=native if supported.
    Fixes tests compilation on archs where GCC doesn't support the flag
  * d/.symbols: mark non-toml:: symbols as optional

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 10 Jan 2023 23:25:41 +0100

tomlplusplus (3.2.0+ds-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Unmark native from cmark-gfm. Closes: #1028252

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 09 Jan 2023 08:17:56 +0100

tomlplusplus (3.2.0+ds-1) unstable; urgency=low

  * Initial release. Closes: #1020595

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 20 Dec 2022 17:33:28 +0100

=== debian/control ===
Source: tomlplusplus
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: catch2 <!nocheck>,
                    cmake,
                    cmark-gfm <!nodoc>,
                    locales-all <!nocheck>,
                    meson (>= 0.54.0),
                    nlohmann-json3-dev <!nocheck>,
                    pkg-config
Standards-Version: 4.6.1
Homepage: https://marzer.github.io/tomlplusplus/
Vcs-Git: https://salsa.debian.org/debian/tomlplusplus.git
Vcs-Browser: https://salsa.debian.org/debian/tomlplusplus
Rules-Requires-Root: no

Package: libtomlplusplus3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: TOML config parser and serializer for C++17
 tomlplusplus is a TOML config parser and serializer for C++17 supporting
 the following features:
 .
   - Supports the latest TOML release (v1.0.0), plus optional support for
     some unreleased TOML features
   - Passes all tests in the toml-test suite
   - Supports serializing to JSON and YAML
   - Proper UTF-8 handling (incl. BOM)
   - C++17 (plus some C++20 features where available)
   - Doesn't require RTTI
   - Works with or without exceptions
 .
 This package contains the shared library.

Package: libtomlplusplus-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtomlplusplus3 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libjs-highlight.js
Description: TOML config parser and serializer for C++17 - development files
 tomlplusplus is a TOML config parser and serializer for C++17 supporting
 the following features:
 .
   - Supports the latest TOML release (v1.0.0), plus optional support for
     some unreleased TOML features
   - Passes all tests in the toml-test suite
   - Supports serializing to JSON and YAML
   - Proper UTF-8 handling (incl. BOM)
   - C++17 (plus some C++20 features where available)
   - Doesn't require RTTI
   - Works with or without exceptions
 .
 This package contains the development files.

## tomlplusplus 3.3.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(
     tomlplusplus
-    VERSION 3.2.0
+    VERSION 3.3.0
     DESCRIPTION "Header-only TOML config file parser and serializer for C++17"
     HOMEPAGE_URL "https://marzer.github.io/tomlplusplus/"
     LANGUAGES CXX

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(Examples LANGUAGES CXX)

include(../cmake/project-is-top-level.cmake)

if(PROJECT_IS_TOP_LEVEL)
  find_package(tomlplusplus REQUIRED)
endif()

add_custom_target(run_examples COMMENT "Running all examples")

function(add_example name)
  cmake_parse_arguments(PARSE_ARGV 1 "" "" "" ARGS)
  add_executable("${name}" "${name}.cpp")
  target_link_libraries("${name}" PRIVATE tomlplusplus::tomlplusplus)
  target_compile_features("${name}" PRIVATE cxx_std_17)
  add_custom_target("run_${name}" COMMAND "${name}" ${_ARGS} VERBATIM)
  add_dependencies(run_examples "run_${name}")
endfunction()

add_example(error_printer)
add_example(parse_benchmark)
add_example(simple_parser)
add_example(toml_generator)
add_example(toml_merger)
add_example(toml_to_json_transcoder ARGS "${PROJECT_SOURCE_DIR}/example.toml")

=== debian/changelog ===
tomlplusplus (3.3.0+ds-1) unstable; urgency=medium

  * New upstream version 3.3.0+ds
  * d/patches: drop upstreamed patches
  * d/.symbols: add new char8_t symbols

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 04 Feb 2023 02:34:33 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                     meson (>= 0.54.0),
                     nlohmann-json3-dev <!nocheck>,
                     pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://marzer.github.io/tomlplusplus/
 Vcs-Git: https://salsa.debian.org/debian/tomlplusplus.git
 Vcs-Browser: https://salsa.debian.org/debian/tomlplusplus

=== debian/rules ===
#!/usr/bin/make -f

# optimize=-lto because I use Meson's LTO
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all

%:
	dh $@ --buildsystem=meson

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  test := true
else
  test := false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Db_lto=true \
		-Dbuild_tests=$(test) \
		-Dcompile_library=true \
		-Duse_vendored_libs=false

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	echo '<meta name="color-scheme" content="light dark">' > README.html
	echo '<link rel="stylesheet" href="/usr/share/javascript/highlight.js/styles/default.css" media="(prefers-color-scheme: light)">' >> README.html
	echo '<link rel="stylesheet" href="/usr/share/javascript/highlight.js/styles/dark.css" media="(prefers-color-scheme: dark)">' >> README.html
	echo '<script src="/usr/share/javascript/highlight.js/highlight.min.js"></script>' >> README.html
	echo '<script>hljs.initHighlightingOnLoad();</script>' >> README.html
	cmark-gfm --unsafe --extension table README.md >> README.html
endif

execute_after_dh_clean:
	$(RM) README.html

=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none, \
  repacksuffix=+ds, \
  dversionmangle=auto" \
https://api.github.com/repos/marzer/tomlplusplus/tags \
https://api.github.com/repos/marzer/tomlplusplus/tarball/refs/tags/v@ANY_VERSION@

## tomlplusplus 3.4.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(
     tomlplusplus
-    VERSION 3.3.0
+    VERSION 3.4.0
     DESCRIPTION "Header-only TOML config file parser and serializer for C++17"
     HOMEPAGE_URL "https://marzer.github.io/tomlplusplus/"
     LANGUAGES CXX

=== tools/requirements.txt ===
misk>=0.7.0
poxy>=0.7.0
pyyaml
python-dateutil

=== debian/changelog ===
tomlplusplus (3.4.0+ds-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062988

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:24:36 +0000

tomlplusplus (3.4.0+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Keep vendored catch2
  * New upstream version 3.4.0+ds
  * d/copyright: Add catch2 info

 -- Bastian Germann <bage@debian.org>  Sat, 04 Nov 2023 14:44:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: catch2 <!nocheck>,
-                    cmake,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
+Build-Depends-Arch: dpkg-dev (>= 1.22.5), cmake,
                     cmark-gfm <!nodoc>,
                     locales-all <!nocheck>,
                     meson (>= 0.54.0),
@@ -16,7 +15,10 @@
 Vcs-Browser: https://salsa.debian.org/debian/tomlplusplus
 Rules-Requires-Root: no
 
-Package: libtomlplusplus3
+Package: libtomlplusplus3t64
+Provides: ${t64:Provides}
+Replaces: libtomlplusplus3
+Breaks: libtomlplusplus3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -41,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtomlplusplus3 (= ${binary:Version}),
+Depends: libtomlplusplus3t64 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: libjs-highlight.js
 Description: TOML config parser and serializer for C++17 - development files

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 		-Db_lto=true \
 		-Dbuild_tests=$(test) \
 		-Dcompile_library=true \
-		-Duse_vendored_libs=false
+		-Duse_vendored_libs=true
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_after_dh_auto_build:

=== debian/tests/control ===
Tests: cmake, pkgconfig
Depends: @, g++ | c++-compiler, cmake, pkg-config
